<?php
//подключаем конфигурационный файл для русского языка
require_once('tcpdf/config/lang/rus.php');
//подключаем библиотеку tcpdf
require_once('tcpdf/tcpdf.php');
////////////////////////////////

//Создаем объект класса TCPDF
$pdf = new TCPDF(PDF_PAGE_ORIENTATION, PDF_UNIT, 
					PDF_PAGE_FORMAT, true, 'UTF-8');

//Информация о документе
$pdf->SetCreator(PDF_CREATOR);
$pdf->SetAuthor('Viktor');
$pdf->SetTitle('Автомобили всем!!!');
$pdf->SetSubject('Автомобильная тема');
$pdf->SetKeywords('Автомобили');

//Шапка документа
$pdf->SetHeaderData(PDF_HEADER_LOGO,PDF_HEADER_LOGO_WIDTH,
					PDF_HEADER_TITLE.' - Продукция и услуги', 
					PDF_HEADER_STRING);

//Шрифт шапки и футера документа
$pdf->setHeaderFont(Array(PDF_FONT_NAME_MAIN, '', PDF_FONT_SIZE_MAIN));
$pdf->setFooterFont(Array(PDF_FONT_NAME_DATA, '', PDF_FONT_SIZE_DATA));

//Отступы
$pdf->SetMargins(PDF_MARGIN_LEFT, PDF_MARGIN_TOP, PDF_MARGIN_RIGHT);
$pdf->SetHeaderMargin(PDF_MARGIN_HEADER);
$pdf->SetFooterMargin(PDF_MARGIN_FOOTER);

//Подгружаем языковые настройки
$pdf->setLanguageArray($l);
//////////////////////////////////////////////////////
//Устанавливаем шрифт документа
$pdf->SetFont('freeserif', '', 12);

/////////////первая страница////////////
//Добавляем страницу
$pdf->AddPage();

// Текст страницы получем из текстового файла
$text = file_get_contents('hello world.txt');

//Для вывода изображения устанавливаем качество
$pdf->setJPEGQuality(75);

//Вывод изображения
$pdf->Image('images/image_demo.jpg', 70, 40, 75, 113, 'JPG', '', 'N', true);

// Задаем цвет текста
$pdf->SetTextColor(0, 63, 127);

//Создаем закладку
$pdf->Bookmark('Титульный лист', 0, 0, '', 'BI', array(0,64,128));

//Write($h, $txt, $link='', $fill=0, $align='', $ln=false, $stretch=0, $firstline=false, $firstblock=false, $maxh=0)

//Выводим текст
$pdf->Write(10, $text, '', 0, 'C');

/////вторая страница
//Добавляем страницу
$pdf->AddPage();
//Создаем закладку
$pdf->Bookmark('Часть 1', 0, 0, '', 'BI', array(78,64,128));
//Создаем заголовок страницы
$pdf->Cell(50, 10, 'Часть 1', 0, 1);
// Текст страницы получем из текстового файла
$text2 = file_get_contents('second page.txt');
//Вывод екста
$pdf->Write(5, $text2, '', 0, 'J');

/////третья страница
//Добавляем страницу
$pdf->AddPage();
//Создаем закладку
$pdf->Bookmark('Глава 1', 1, 0, '', 'BI', array(78,64,128));
//Создаем заголовок страницы
$pdf->Cell(50, 10, 'Глава 1', 0, 1);
// Текст страницы получем из текстового файла
$text3 = file_get_contents('third page.txt');
// write the text
$pdf->Write(5, $text3, '', 0, 'J');

/////четвертая страница
//Добавляем страницу
$pdf->AddPage();
//Создаем закладку
$pdf->Bookmark('Глава 2', 1, 0, '', 'BI', array(78,64,128));
//Создаем заголовок страницы
$pdf->Cell(50, 10, 'Глава 2', 0, 1);

$html = '<h1>Крупнейший автопроизводитель в мире (2007—2009)</h1>
<table border="1px" cellspacing="3" cellpadding="4">
<tr>
	<td>Марка автомобиля</td>
	<td>3 мес.</td>
	<td>6 мес.</td>
</tr>
<tr>
	<td>Auris</td>
	<td>2000</td>
	<td>4800</td>
</tr>
<tr>
	<td>Corolla</td>
	<td>5000</td>
	<td>10000</td>
</tr>
</table>
<br/>
';

$html2 = '<div style="background-color:#f3f3f3; border:1px solid #074776;">
<br>
<img src="images/img.png" style="text-align:center"><br>
В 1998 году компания открыла московское представительство Toyota Motor Corporation. Затем, в связи с динамичным развитием автомобильного рынка, было принято решение о создании национальной компании по маркетингу и продажам ООО «Тойота мотор». 1 апреля 2002 года ООО «Тойота мотор» начало свое функционирование на территории России[8]. Президенты ООО «Тойота Мотор»
</div>';
$html3 = '<h2><a href="http://toyota.ru">Оффициальный сайт TOYOTA</a></h2>';
// Выводим данные используя HTML теги
$pdf->writeHTML($html);
$pdf->writeHTML($html2);
$pdf->writeHTML($html3);

//пятая страница
// Добавляем новую специальную страницу Table of Content
$pdf->addTOCPage();
// Выводим заголовок страницы и непосредственно само содержание
$pdf->SetFont('freeserif', 'B', 16);
$pdf->Cell(0, 0, 'Содержание', 0, 1,'C');
$pdf->SetFont('freeserif', 'BI', 10);
$pdf->addTOC(2, 'freeserif', '.', 'Содержание', 'B', array(128,0,0));
// конец страницы Table of Content
$pdf->endTOCPage();


//Вывод документ в pdf формате
$pdf->Output('lesson.pdf');
?>
